Subject: Re: bug#79274: 30.1; isearch should assume fresh string after hiatus

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Sep 2025 10:56:10 +0300

tags 79274 notabug wontfix
close 79274
thanks

> Cc: [email-masked]
> Date: Wed, 20 Aug 2025 13:49:31 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> tags 79274 notabug
> thanks
> 
> > From: Dan Jacobson <[email-masked]>
> > Date: Wed, 20 Aug 2025 08:22:10 +0800
> > 
> > You know how CTRL+G, CTRL+F search in big name browsers works:
> > if one does something else for a while and comes back, the browser
> > assumes that any string entered is a new search, not an addition to the
> > current string.
> > 
> > E.g., I search for Trump. A few minutes later I then type in Nixon.
> > Well the browser knows that I now want to search for Nixon, not
> > "TrumpNixon".
> > 
> > That's how I think Emacs' isearch should work by default.
> 
> The Emacs behavior is a feature, and a very convenient one.  It makes
> it very easy to make small corrections to the previous search string,
> where the other applications require you to type the entire modified
> string anew.  It would be unthinkable to change this after Emacs
> behaved like that for such a long time.
> 
> > Yes, you might say "All you need to do is type... first".
> 
> Exactly.

No further comments, so I'm now closing this non-bug.